ServiceTypeFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.ServiceTypeFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class ServiceTypeFactory

    java.lang.Object
      org.hyperic.hq.product.jmx.ServiceTypeFactory

    public class ServiceTypeFactory

extends java.lang.Object

Constructs a `ServiceType` object from a JMX `ModelMBeanInfo`

Constructor Summary
`ServiceTypeFactory()`

Method Summary
`java.util.Set` | `create(ProductPlugin productPlugin, ServerTypeInfo serverType, javax.management.MBeanServerConnection mServer, java.util.Set objectNames)` Creates a Set of ServiceTypes from a Set of Services, ignoring multiple services of the same ServiceType (determined by fully qualified service type name)
`ServiceType` | `create(ProductPlugin productPlugin, ServerTypeInfo serverType, javax.management.modelmbean.ModelMBeanInfo serviceInfo, javax.management.ObjectName objectName)`
`ServiceType` | `getServiceType(java.lang.String productName, ServerTypeInfo serverType, javax.management.modelmbean.ModelMBeanInfo serviceInfo, javax.management.ObjectName objectName)` Returns a ServiceType containing ONLY the properties needed at construction time (the ones that guarantee uniqueness)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceTypeFactory

    public ServiceTypeFactory()

Method Detail

### create

    public java.util.Set create(ProductPlugin productPlugin,
                                ServerTypeInfo serverType,
                                javax.management.MBeanServerConnection mServer,
                                java.util.Set objectNames)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.IntrospectionException,
                                javax.management.ReflectionException,
                                java.io.IOException

  Creates a Set of ServiceTypes from a Set of Services, ignoring multiple services of the same ServiceType (determined by fully qualified service type name)

  Parameters:
    `productPlugin` - The plugin of the product containing this service type
    `serverType` - The type of service containing this service type
    `mServer` -
    `serviceInfo` - The unique info of the service type
    `objectNames` - The `ObjectName`s of the associated services whose metadata is to be inspected
  Returns:
    A Set of created `ServiceType`s created
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.IntrospectionException`
    `javax.management.ReflectionException`
    `java.io.IOException`

### create

    public ServiceType create(ProductPlugin productPlugin,
                              ServerTypeInfo serverType,
                              javax.management.modelmbean.ModelMBeanInfo serviceInfo,
                              javax.management.ObjectName objectName)

  Parameters:
    `productPlugin` - The plugin of the product containing this service type
    `serverType` - The type of service containing this service type
    `serviceInfo` - The unique info of the service type
    `objectName` - The `ObjectName` of the associated service whose metadata is to be inspected
  Returns:
    The created `ServiceType` or null if it could not be created

### getServiceType

    public ServiceType getServiceType(java.lang.String productName,
                                      ServerTypeInfo serverType,
                                      javax.management.modelmbean.ModelMBeanInfo serviceInfo,
                                      javax.management.ObjectName objectName)

  Returns a ServiceType containing ONLY the properties needed at construction time (the ones that guarantee uniqueness)

  Parameters:
    `productName` - The name of the product containing the service
    `serverType` - The name of the server containing the service
    `serviceInfo` - Info about the service
    `objectName` - The `ObjectName` of the discovered MBean representing the service instance
  Returns:
    A ServiceType containing ONLY the properties needed at construction time (the ones that guarantee uniqueness)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.